import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class SelectedExistingDomainService {
  private selectedExistingDomainBS: BehaviorSubject<string> = new BehaviorSubject('');
  public readonly selectedExistingDomain: Observable<string> = this.selectedExistingDomainBS.asObservable();

  constructor() { }

  setValue(value: string) {
    this.selectedExistingDomainBS.next(value);
  }
}
